<?php

namespace Ovr\Forms\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Sale policy
        'Ovr\Forms\Models\Sale' => \Ovr\Forms\Policies\SalePolicy::class,
// Bind Example policy
        'Ovr\Forms\Models\Example' => \Ovr\Forms\Policies\ExamplePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
